[med-svn] [bamtools] 01/01: add autopkgtest test-suite
Nadiya Sitdykova
rovenskasa-guest at moszumanska.debian.org
Mon Aug 7 18:04:48 UTC 2017
This is an automated email from the git hooks/post-receive script.
rovenskasa-guest pushed a commit to branch master
in repository bamtools.
commit 93993686502bad3bf2056549c1479c156bc42fe0
Author: Nadiya Sitdykova <rovenskasa at gmail.com>
Date: Mon Aug 7 17:03:30 2017 -0400
add autopkgtest test-suite
---
debian/README.test | 9 +++++++++
debian/changelog | 9 +++++++++
debian/docs | 4 ++++
debian/tests/control | 3 +++
debian/tests/filter_script | 17 +++++++++++++++++
debian/tests/run-unit-test | 38 ++++++++++++++++++++++++++++++++++++++
6 files changed, 80 insertions(+)
diff --git a/debian/README.test b/debian/README.test
new file mode 100644
index 0000000..74ce729
--- /dev/null
+++ b/debian/README.test
@@ -0,0 +1,9 @@
+
+Notes on how this package can be tested.
+────────────────────────────────────────
+
+This package can be tested by executing
+
+ sh run-unit-test
+
+in order to confirm its integrity.
diff --git a/debian/changelog b/debian/changelog
index e896029..62488c8 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+bamtools (2.4.1+dfsg-3) UNRELEASED; urgency=medium
+
+ * Team upload.
+
+ [ Nadiya Sitdykova ]
+ * add autopkgtest test-suite
+
+ -- Nadiya Sitdykova <rovenskasa at gmail.com> Mon, 07 Aug 2017 17:01:19 -0400
+
bamtools (2.4.1+dfsg-2) UNRELEASED; urgency=medium
* debian/upstream/metadata: Added refs to bio.tools and OMICtools
diff --git a/debian/docs b/debian/docs
new file mode 100644
index 0000000..6b01fc1
--- /dev/null
+++ b/debian/docs
@@ -0,0 +1,4 @@
+debian/README.test
+debian/tests/run-unit-test
+debian/tests/filter_script
+debian/sam_spec_example.bam
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..d2aa55a
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr
diff --git a/debian/tests/filter_script b/debian/tests/filter_script
new file mode 100644
index 0000000..e30f78c
--- /dev/null
+++ b/debian/tests/filter_script
@@ -0,0 +1,17 @@
+{
+ "filters" :
+ [
+ { "id" : "inAnyErrorReadGroup",
+ "tag" : "RG:ERR*"
+ },
+ { "id" : "highMapQuality",
+ "mapQuality" : ">=75"
+ },
+ { "id" : "bothMatesMapped",
+ "isMapped" : "true",
+ "isMateMapped" : "true"
+ }
+ ],
+ "rule" : "!inAnyErrorReadGroup & (highMapQuality | bothMatesMapped)"
+}
+
diff --git a/debian/tests/run-unit-test b/debian/tests/run-unit-test
new file mode 100644
index 0000000..e2fd2b4
--- /dev/null
+++ b/debian/tests/run-unit-test
@@ -0,0 +1,38 @@
+#!/bin/sh -e
+
+pkg=bamtools
+
+if [ "$ADTTMP" = "" ] ; then
+ ADTTMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+ trap "rm -rf $ADTTMP" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cd $ADTTMP
+
+cp -a /usr/share/doc/${pkg}/sam_spec_example.bam .
+cp -a /usr/share/doc/${pkg}/filter_script .
+gunzip -r *
+
+bamtools convert -format fastq -in sam_spec_example.bam -out test.fastq
+
+bamtools convert -format json -in sam_spec_example.bam -out test.json
+
+bamtools count -in sam_spec_example.bam
+
+bamtools coverage -in sam_spec_example.bam -out out
+
+bamtools filter -script filter_script -in sam_spec_example.bam -out out.bam
+
+bamtools header -in sam_spec_example.bam
+
+bamtools index -in sam_spec_example.bam
+
+bamtools random -n 100 -in sam_spec_example.bam -out out.bam
+
+bamtools revert -in sam_spec_example.bam -out out.bam
+
+bamtools sort -in sam_spec_example.bam -out out.bam
+
+bamtools split -mapped -in sam_spec_example.bam
+
+bamtools stats -in sam_spec_example.bam
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/bamtools.git
More information about the debian-med-commit
mailing list